# Class Library

java.lang.Object
org.apache.tomcat.jni.Library

public final class Library extends Object

## Field Summary

Fields
Modifier and Type
Field
Description
`static int`
`APR_IS_DEV_VERSION`
`static int`
`APR_MAJOR_VERSION`
`static int`
`APR_MINOR_VERSION`
`static int`
`APR_PATCH_VERSION`
`static int`
`TCN_IS_DEV_VERSION`
`static int`
`TCN_MAJOR_VERSION`
`static int`
`TCN_MINOR_VERSION`
`static int`
`TCN_PATCH_VERSION`

## Method Summary

Modifier and Type
Method
Description
`static String`
`aprVersionString()`
`static boolean`
`initialize(String libraryName)`
Setup any APR internal data structures.
`static void`
`terminate()`
Destroys Tomcat Native's global APR pool.
`static String`
`versionString()`

### Methods inherited from class Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Field Details

### TCN_MAJOR_VERSION

public static int TCN_MAJOR_VERSION

### TCN_MINOR_VERSION

public static int TCN_MINOR_VERSION

### TCN_PATCH_VERSION

public static int TCN_PATCH_VERSION

### TCN_IS_DEV_VERSION

public static int TCN_IS_DEV_VERSION

### APR_MAJOR_VERSION

public static int APR_MAJOR_VERSION

### APR_MINOR_VERSION

public static int APR_MINOR_VERSION

### APR_PATCH_VERSION

public static int APR_PATCH_VERSION

### APR_IS_DEV_VERSION

public static int APR_IS_DEV_VERSION

## Method Details

### terminate

public static void terminate()
Destroys Tomcat Native's global APR pool. This has to be the last call to TCN library. This will destroy any APR root pools that have not been explicitly destroyed.

### versionString

public static String versionString()

### aprVersionString

public static String aprVersionString()

### initialize

public static boolean initialize(String libraryName) throws Exception
Setup any APR internal data structures. This MUST be the first function called for any APR library.

Parameters:
  `libraryName` - the name of the library to load
Returns:
  `true` if the native code was initialized successfully otherwise `false`
Throws:
  `Exception` - if a problem occurred during initialization